org.apache.maven.plugin.version

## Class PluginVersionNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.plugin.version.PluginVersionNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class PluginVersionNotFoundException
    extends java.lang.Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PluginVersionNotFoundException(java.lang.String groupId, java.lang.String artifactId)`

### Method Summary

Methods
`java.lang.String` `getArtifactId()`
`java.lang.String` `getGroupId()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PluginVersionNotFoundException

    public PluginVersionNotFoundException(java.lang.String groupId,
                                  java.lang.String artifactId)

### Method Detail

#### getGroupId

    public java.lang.String getGroupId()

#### getArtifactId

    public java.lang.String getArtifactId()